
CoCoALib - Feature #1692

Suggestion: Add "JumpTo" function to prime iterators

05 Aug 2022 17:39 - John Abbott

Status: In Progress Start date: 05 Aug 2022

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.70 hour

Description

Consider adding a JumpTo mem fn to iterators (for prime numbers)

  PrimeSeq pseq;

  pseq.myJumpTo(1000000);

  cout << *pseq << end;  // print a prime number close to 1000000

  ++pseq; // advance to next prime number... etc

 

If we do this, it may make PrimeSeqForCRT redundant [check!]

Related issues:

Related to CoCoALib - Design #1787: Iterator design: compatible with C++STL? ... In Progress 07 Mar 2024

History

#1 - 05 Aug 2022 17:44 - John Abbott

I implemented a prototype PrimeSeq1ModN class for a student, and he needed something like a JumpTo function.

So I implemented one... it wasn't too hard, and seems like it could be useful for other prime iterators.

It might be nice to be able to remove PrimeSeqForCRT which is a bit of an oddity.

Perhaps PrimeSeq ctor could have an optional arg when used for CRT?  ...to avoid

having to call myJumpTo?

#2 - 23 Nov 2022 16:11 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

What should the mem fn be called?

Current prototype calls it JumpTo, so that a mem fn call would look like pseq.JumpTo(n).

This does not follow the rule that mem fns have names beginning with my or Iam.

What name should we use?

#3 - 15 Feb 2024 22:39 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900

#4 - 07 Mar 2024 19:52 - John Abbott

- Related to Design #1787: Iterator design: compatible with C++STL? Advancing beyond end? added

Powered by TCPDF (www.tcpdf.org)

28 Apr 2024 1/1

http://www.tcpdf.org

